API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · payroll_periods

Payroll Period Schema

Schema-ID
payroll_period
Collection
payroll_periods
Permissions
  • Lesenpayroll_view
  • Anlegenpayroll_edit
  • Ändernpayroll_edit
  • Löschenpayroll_edit

Felder

Payroll Period Schema

payroll_periods4 Permissions

Per-employee, per-month encrypted variable payroll data. Tier 1 zero-knowledge.

employeeProfileIduuiderforderlich

UUID of the linked employee_profile

periodstringerforderlich

Payroll period in YYYY-MM format (e.g. "2026-04")

Pattern
statusstringerforderlich

DRAFT: in preparation. READY: HR marked it complete. EXPORTED: at least one DATEV export ran. LOCKED: no further edits without correction workflow.

DRAFTREADYEXPORTEDLOCKED
Default: "DRAFT"
lockedAtdatetimeoptional

When this period was locked

read-onlynullable
lockedByuuidoptional

User UUID of the HR member who locked the period

read-onlynullable
ciphertextstringerforderlich

Base64-encoded AES-256-GCM ciphertext of the payload JSON

max 65536 Zeichen
ivstringerforderlich

Base64-encoded 12-byte random IV

max 32 Zeichen
algstringerforderlich

Symmetric encryption algorithm identifier

AES-256-GCM
keyIdstringerforderlich

Identifier of the group key version used for encryption

max 64 Zeichenread-only
timeTrackingSyncedAtdatetimeoptional

When this period last imported hours from the time-tracking module. Used to detect stale data.

nullable
lastEditedByuuidoptional
nullable
lastEditedAtdatetimeoptional
nullable

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/payroll_periods — Liste, paginiert + filterbar
  • GET /api/v1/payroll_periods/<id> — Einzelne Entity
  • POST /api/v1/payroll_periods — Anlegen
  • PATCH /api/v1/payroll_periods/<id> — Teil-Update
  • DELETE /api/v1/payroll_periods/<id> — Soft-Delete
  • GET /api/v1/payroll_periods/<id>/timeline — Audit + Aktivitäten

Suche